package etunicorn;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import java.util.Collection;
import java.util.List;

/**
 * Created by geoffrey on 28/01/17.
 */
@Entity
public class Role {
    @Id
    @Column(unique = true)
    private String nom = "etudiant";

    @OneToMany
    private List<Permission> permissions;

    public Role() {
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public Collection<Permission> getPermissions() {
        return permissions;
    }

    public void setPermissions(List<Permission> permissions) {
        this.permissions = permissions;
    }

    public void addPermission(Permission permission) {
        this.permissions.add(permission);
    }

    public void delPermission(Permission permission) {
        this.permissions.remove(permission);
    }
}
